Subject: Re: bug#57080: 28.1; The %m modeline construct does not work for emacs-lisp-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Aug 2022 05:40:00 +0300

> Date: Wed, 10 Aug 2022 12:23:05 +1200
> From: Phil Sainty <[email-masked]>
> 
> On 2022-08-10 05:06, Eli Zaretskii wrote:
> >> From: diredwolf <[email-masked]>
> >> Thank you very much for your explanation, using mode-name instead of 
> >> %m fixed the problem.
> > 
> > Thanks, I'm therefore closing the bug.
> 
> I think some documentation updates are needed here?
> 
> In my month-old build from master, at any rate:
> 
> (info "(elisp) %-Constructs") states that ‘%m’ and ‘mode-name’
> are equivalent, which is evidentially wrong.

It also says %m is obsolete, which you didn't mention.

I won't object to telling there that %m doesn't work with non-string
mode-name, if that's your suggestion.